@echo off

goto :start

:failed
		exit /b 1

:start
set begin=%time%
rdmd --build-only -ofquery.exe %* query_main.d
set error=0
if errorlevel 1 set error=1
set end=%time%

set bh1=%begin:~0,1%
set bh2=%begin:~1,1%
set bm=%begin:~3,2%
set bs=%begin:~6,2%
set b=%begin:~9,2%
set eh1=%end:~0,1%
set eh2=%end:~1,1%
set em=%end:~3,2%
set es=%end:~6,2%
set e=%end:~9,2%

set /a diff=((((1%eh1%-1%bh1%)*10+1%eh2%-1%bh2%)*60+1%em%-1%bm%)*60+1%es%-1%bs%)*100+1%e%-1%b%
set /a diffm=%diff%/100
set /a diffs=%diff%-%diffm%*100+100
echo Compile: %diffm%.%diffs:~1,2% s
if "%error%" == "1" ( call :failed )